Bug 591072 - SELinux menu entries not polished in F13
SELinux menu entries not polished in F13
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: policycoreutils (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-11 07:23 EDT by Adam Williamson
Modified: 2010-05-18 17:45 EDT (History)
10 users (show)

See Also:
Fixed In Version: policycoreutils-2.0.82-18.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-18 17:45:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Williamson 2010-05-11 07:23:51 EDT
Sorry for the bogus component, just want to bring this to KDE team's attention, they'll know what to do with it.

In F13 RC2, the SELinux menu entries aren't very polished. There's two, on the System menu. One is just named 'SELinux', and only when you hover over it do you see the subtitle 'SELinux Policy Generation Tool', making clear what it is. It has an icon, but it's somewhat ugly and looks like it's upscaled, at default settings.

The other is named 'SELinux Troubleshooter', so you know what it is, but it has no icon.

These are failures of the 'desktop menus' validation test: https://fedoraproject.org/wiki/QA:Testcase_desktop_menus . As we don't consider the desktop validation tests to be release blocking for anything but the default desktop in F13, not nominating this as a release blocker, but obviously can be fixed with updates, and for future releases we'd hope to be able to consider this kind of thing release blocking.
Comment 1 Kevin Kofler 2010-05-11 07:30:52 EDT
Well, this will need to be fixed by the SELinux guys, they're the ones shipping the .desktop files in their packages, KDE just displays what's there.

If your Name says "SELinux Policy Generation Tool", then please don't set GenericName to just "SELinux". Leave it blank entirely.

For setroubleshoot, please either use a standard freedesktop.org Icon Naming Spec icon (which is also available in Oxygen) or install your icon to the hicolor theme (which is inherited by all others as per the spec).
Comment 2 Kevin Kofler 2010-05-11 07:32:44 EDT
(To elaborate on the GenericName part: GenericName, if set, is supposed to be more descriptive. By default, if both Name and GenericName are set, Kickoff will display the GenericName and show the Name on mouseover. If you leave GenericName blank, it will display the Name as the primary entry, which is what you want here.)
Comment 3 Daniel Walsh 2010-05-11 10:56:51 EDT
Kevin Does this look good.

[Desktop Entry]
Name=SELinux Policy Generation Tool
GenericName=
Comment=Generate SELinux policy modules
StartupNotify=true
Icon=system-config-selinux.png
Exec=/usr/bin/selinux-polgengui
Type=Application
Terminal=false
Categories=System;Security;
X-Desktop-File-Install-Version=0.2
Comment 4 Daniel Walsh 2010-05-11 10:58:44 EDT
Adam can you grab the latest setroubleshoot from koji it should have the icon.

setroubleshoot-2.2.83-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/setroubleshoot-2.2.83-1.fc13
Comment 5 Kevin Kofler 2010-05-11 11:00:45 EDT
Please omit the blank "GenericName=" line entirely. I think having "GenericName=" will have the same effect, but I'm not sure. It might cause some trouble.
Comment 6 Daniel Walsh 2010-05-11 16:09:08 EDT
Fixed in policycoreutils-2.0.82-16.fc13
Comment 7 Fedora Update System 2010-05-11 16:34:29 EDT
policycoreutils-2.0.82-17.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/policycoreutils-2.0.82-17.fc13
Comment 8 Adam Williamson 2010-05-12 05:33:03 EDT
d'oh, I'm a bit late, but:

Icon=system-config-selinux.png

the spec - which I can't quite find atm, it's on freedesktop.org somewhere - specifically states you should specify *either* an icon name, *or* a full canonical location for a specific image file you want to use, not something in the middle. Practically speaking, this should be:

Icon=system-config-selinux



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 9 Fedora Update System 2010-05-12 08:20:29 EDT
policycoreutils-2.0.82-17.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update policycoreutils'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/policycoreutils-2.0.82-17.fc13
Comment 10 Daniel Walsh 2010-05-12 09:35:29 EDT
Ok that will be fixed in -18

Fixed in policycoreutils-2.0.82-18.fc13    

I will push when more important fixes happen
Comment 11 Fedora Update System 2010-05-15 16:19:45 EDT
policycoreutils-2.0.82-18.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update policycoreutils'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/policycoreutils-2.0.82-18.fc13
Comment 12 Fedora Update System 2010-05-18 17:45:29 EDT
policycoreutils-2.0.82-18.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.